Bug 1464222 - Ansible Service Broker requiring environment variables which should be optional
Summary: Ansible Service Broker requiring environment variables which should be optional
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.7.0
Assignee: John Matthews
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-22 17:01 UTC by John Matthews
Modified: 2017-11-28 21:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 21:58:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description John Matthews 2017-06-22 17:01:27 UTC
Description of problem:

During testing from the installer we saw that the asb container was failing to run because dockerhub credentials were not supplied.

We configured to use the RHCC adapter, which means the dockerhub credentials are optional, but the entrypoint script required them which caused the container to fail.

Comment 1 John Matthews 2017-06-22 18:08:57 UTC
Fixed in
https://github.com/openshift/ansible-service-broker/pull/211

Comment 2 John Matthews 2017-06-22 18:14:52 UTC
This PR was also required for the fix
https://github.com/openshift/ansible-service-broker/pull/218

Comment 8 errata-xmlrpc 2017-11-28 21:58:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.